/* This file is part of the Palabos library.
 *
 * Copyright (C) 2011-2015 FlowKit Sarl
 * Route d'Oron 2
 * 1010 Lausanne, Switzerland
 * E-mail contact: contact@flowkit.com
 *
 * The most recent release of Palabos can be downloaded at 
 * <http://www.palabos.org/>
 *
 * The library Palabos is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * The library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BOUNDARY_PROFILES_H
#define BOUNDARY_PROFILES_H

#include "core/globalDefs.h"
#include "offLattice/offLatticeBoundaryProfiles3D.h"
#include <map>

namespace plb {

template<typename T, class SurfaceData>
class BoundaryProfileMap {
public:
    BoundaryProfileMap();
    BoundaryProfileMap(BoundaryProfile3D<T,SurfaceData>* wallProfile);
    BoundaryProfileMap(BoundaryProfileMap<T,SurfaceData> const& rhs);
    BoundaryProfileMap<T,SurfaceData> const& operator=(BoundaryProfileMap<T,SurfaceData> const& rhs);
    ~BoundaryProfileMap();
    void swap(BoundaryProfileMap& rhs);
    BoundaryProfileMap<T,SurfaceData>* clone() const;
    void add(plint i, BoundaryProfile3D<T,SurfaceData>* profile);
    void add(plint i, BoundaryProfile3D<T,SurfaceData> const& profile);
    BoundaryProfile3D<T,SurfaceData> const& operator[](plint i) const;
private:
    std::map<plint, BoundaryProfile3D<T,SurfaceData>*> profiles;
};

} // namespace plb

#endif  // BOUNDARY_PROFILES_H

